# eric6.ViewManager.__init__

Package implementing the viewmanager of the eric6 IDE.

The viewmanager is responsible for the layout of the editor windows. This is the central part of the IDE. In additon to this, the viewmanager provides all editor related actions, menus and toolbars.

View managers are provided as plugins and loaded via the factory function. If the requested view manager type is not available, tabview will be used by default.

### Global Attributes

None

### Classes

None

### Functions

factory | Modul factory function to generate the right viewmanager type.

## factory

factory(parent, ui, dbs, pluginManager)

Modul factory function to generate the right viewmanager type.

The viewmanager is instantiated depending on the data set in the current preferences.

parent
  parent widget (QWidget)
ui
  reference to the main UI object
dbs
  reference to the debug server object
pluginManager
  reference to the plugin manager object

Returns:
  the instantiated viewmanager

Raises RuntimeError:
  raised if no view manager could be created

Up